Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.props

# Class PropertyNames

java.lang.Object
org.firebirdsql.jaybird.props.PropertyNames

public final class PropertyNames extends Object
Property names and aliases used by Jaybird.

In defiance of normal style rules for Java, the constants defined in this class use the same name as their value (if syntactically valid).

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`allowTxStmts`
`static final String`
`asyncFetch`
`static final String`
`attachObjectName`
`static final String`
`authPlugins`
`static final String`
`blobBufferSize`
`static final String`
`charSet`
`static final String`
`columnLabelForName`
`static final String`
`connectTimeout`
`static final String`
`createDatabaseIfNotExist`
`static final String`
`databaseName`
`static final String`
`dataTypeBind`
`static final String`
`dbCryptConfig`
`static final String`
`decfloatRound`
`static final String`
`decfloatTraps`
`static final String`
`defaultIsolation`
`static final String`
`defaultResultSetHoldable`
`static final String`
`enableProtocol`
`static final String`
`encoding`
`static final String`
`expectedDb`
`static final String`
`extendedMetadata`
`static final String`
`generatedKeysEnabled`
`static final String`
`ignoreProcedureType`
`static final String`
`pageCacheSize`
`static final String`
`parallelWorkers`
`static final String`
`password`
`static final String`
`portNumber`
`static final String`
`processId`
`static final String`
`processName`
`static final String`
`reportSQLWarnings`
`static final String`
`roleName`
`static final String`
`scrollableCursor`
`static final String`
`serverBatchBufferSize`
`static final String`
`serverName`
`static final String`
`serviceName`
`static final String`
`sessionTimeZone`
`static final String`
`socketBufferSize`
`static final String`
`socketFactory`
`static final String`
`soTimeout`
`static final String`
`sqlDialect`
`static final String`
`tpbMapping`
`static final String`
`type`
`static final String`
`useCatalogAsPackage`
`static final String`
`useFirebirdAutocommit`
`static final String`
`user`
`static final String`
`useServerBatch`
`static final String`
`useStreamBlobs`
`static final String`
`wireCompression`
`static final String`
`wireCrypt`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### serverName

public static final String serverName

See Also:
  - Constant Field Values

### portNumber

public static final String portNumber

See Also:
  - Constant Field Values

### attachObjectName

public static final String attachObjectName

See Also:
  - Constant Field Values

### databaseName

public static final String databaseName

See Also:
  - Constant Field Values

### serviceName

public static final String serviceName

See Also:
  - Constant Field Values

### type

public static final String type

See Also:
  - Constant Field Values

### user

public static final String user

See Also:
  - Constant Field Values

### password

public static final String password

See Also:
  - Constant Field Values

### roleName

public static final String roleName

See Also:
  - Constant Field Values

### processId

public static final String processId

See Also:
  - Constant Field Values

### processName

public static final String processName

See Also:
  - Constant Field Values

### charSet

public static final String charSet

See Also:
  - Constant Field Values

### encoding

public static final String encoding

See Also:
  - Constant Field Values

### socketBufferSize

public static final String socketBufferSize

See Also:
  - Constant Field Values

### soTimeout

public static final String soTimeout

See Also:
  - Constant Field Values

### connectTimeout

public static final String connectTimeout

See Also:
  - Constant Field Values

### wireCrypt

public static final String wireCrypt

See Also:
  - Constant Field Values

### dbCryptConfig

public static final String dbCryptConfig

See Also:
  - Constant Field Values

### authPlugins

public static final String authPlugins

See Also:
  - Constant Field Values

### wireCompression

public static final String wireCompression

See Also:
  - Constant Field Values

### enableProtocol

public static final String enableProtocol

See Also:
  - Constant Field Values

### parallelWorkers

public static final String parallelWorkers

See Also:
  - Constant Field Values

### socketFactory

public static final String socketFactory

See Also:
  - Constant Field Values

### sqlDialect

public static final String sqlDialect

See Also:
  - Constant Field Values

### blobBufferSize

public static final String blobBufferSize

See Also:
  - Constant Field Values

### useStreamBlobs

public static final String useStreamBlobs

See Also:
  - Constant Field Values

### pageCacheSize

public static final String pageCacheSize

See Also:
  - Constant Field Values

### defaultResultSetHoldable

public static final String defaultResultSetHoldable

See Also:
  - Constant Field Values

### useFirebirdAutocommit

public static final String useFirebirdAutocommit

See Also:
  - Constant Field Values

### generatedKeysEnabled

public static final String generatedKeysEnabled

See Also:
  - Constant Field Values

### dataTypeBind

public static final String dataTypeBind

See Also:
  - Constant Field Values

### sessionTimeZone

public static final String sessionTimeZone

See Also:
  - Constant Field Values

### ignoreProcedureType

public static final String ignoreProcedureType

See Also:
  - Constant Field Values

### columnLabelForName

public static final String columnLabelForName

See Also:
  - Constant Field Values

### decfloatRound

public static final String decfloatRound

See Also:
  - Constant Field Values

### decfloatTraps

public static final String decfloatTraps

See Also:
  - Constant Field Values

### tpbMapping

public static final String tpbMapping

See Also:
  - Constant Field Values

### defaultIsolation

public static final String defaultIsolation

See Also:
  - Constant Field Values

### scrollableCursor

public static final String scrollableCursor

See Also:
  - Constant Field Values

### useServerBatch

public static final String useServerBatch

See Also:
  - Constant Field Values

### serverBatchBufferSize

public static final String serverBatchBufferSize

See Also:
  - Constant Field Values

### useCatalogAsPackage

public static final String useCatalogAsPackage

See Also:
  - Constant Field Values

### allowTxStmts

public static final String allowTxStmts

See Also:
  - Constant Field Values

### extendedMetadata

public static final String extendedMetadata

See Also:
  - Constant Field Values

### createDatabaseIfNotExist

public static final String createDatabaseIfNotExist

See Also:
  - Constant Field Values

### reportSQLWarnings

public static final String reportSQLWarnings

See Also:
  - Constant Field Values

### asyncFetch

public static final String asyncFetch

See Also:
  - Constant Field Values

### expectedDb

public static final String expectedDb

See Also:
  - Constant Field Values